Board index » delphi » BDE 5.01 and Oracle 8i (8.1.5.0)

BDE 5.01 and Oracle 8i (8.1.5.0)

Does the BDE support Oracle 8i? My application works with Oracle 8.0.5 but
bombs out when with 8i. Anyone got any ideas.

Cheers,
Dan

 

Re:BDE 5.01 and Oracle 8i (8.1.5.0)


BDE 5.01 and 5.10 both support 8.1.5.

Quote
Daniel Rigby wrote:

> Does the BDE support Oracle 8i? My application works with Oracle 8.0.5 but
> bombs out when with 8i. Anyone got any ideas.

> Cheers,
> Dan

--
Jeff Overcash (TeamB)
      (Please do not email me directly unless  asked. Thank You)
Mild mannered supermen are held in kryptonite, and the wise and foolish
{*word*269}s giggle with their bodies glowing bright.  Through the door a harvest
feast is lit by candlelight; it's the bottom of the staircase that spirals out
of sight.
  (new classic Genesis) Carpet Crawlers 1999
--

Re:BDE 5.01 and Oracle 8i (8.1.5.0)


"Jeff Overcash (TeamB)" <overc...@onramp.net> wrote:

Quote
>BDE 5.01 and 5.10 both support 8.1.5.

>Daniel Rigby wrote:

>> Does the BDE support Oracle 8i? My application works with Oracle 8.0.5 but
>> bombs out when with 8i. Anyone got any ideas.

>> Cheers,
>> Dan

Jeff,

5.01 couldn't possibly support 8i since it was released on February while
Oracle 8.1.5 came out on April (if my memory server me right).
There are numerous problems reported for 5.01 and 8.1.5.
There were also some problems with 5.10 and Oracle (any 8 version),
although Delphi 5 and the new BDE 5.10 boasts 8i support,
so there is a new, fresh SQLORA8.DLL (28 SEP)  at
http://www.borland.com/devsupport/bde/bdeupdate.html

Daniel, I thing you have better chances with 5.10 with the SQLORA8
but your best bet should be DOA :
www.allrounfautomations.nl

Live long and prosper.

Elias Tsiotsias
DataFX Software

Re:BDE 5.01 and Oracle 8i (8.1.5.0)


Quote
Elias Tsiotsias wrote in message <37f287d3.23800...@forums.borland.com>...
>.........
>.........
>.........
>Daniel, I thing you have better chances with 5.10 with the SQLORA8
>but your best bet should be DOA :
>www.allrounfautomations.nl

Last week I downloaded ODAC v2.00 (beta) components.
Have a look at www.crlab.com

I think I will give up BDE (tried once DOA but did not like it, I am sure
they are OK but I just did not like them).

Mariusz

Re:BDE 5.01 and Oracle 8i (8.1.5.0)


Quote
> Does the BDE support Oracle 8i? My application works with Oracle 8.0.5 but
> bombs out when with 8i. Anyone got any ideas.

Try still use the sql*net from 8.0 or 7.3 if possible.

--
Viele Gr?e
Nicolas Bronke

Re:BDE 5.01 and Oracle 8i (8.1.5.0)


Borland highly recommends that you use the same version of the client as the
server.  That means 8.1.5 client for 8.1.5 server.  Borland has found problems
when mixing the two.

Quote
Nicolas Bronke wrote:

> > Does the BDE support Oracle 8i? My application works with Oracle 8.0.5 but
> > bombs out when with 8i. Anyone got any ideas.

> Try still use the sql*net from 8.0 or 7.3 if possible.

> --
> Viele Gr?e
> Nicolas Bronke

--
Jeff Overcash (TeamB)
      (Please do not email me directly unless  asked. Thank You)
Mild mannered supermen are held in kryptonite, and the wise and foolish
{*word*269}s giggle with their bodies glowing bright.  Through the door a harvest
feast is lit by candlelight; it's the bottom of the staircase that spirals out
of sight.
  (new classic Genesis) Carpet Crawlers 1999
--

Re:BDE 5.01 and Oracle 8i (8.1.5.0)


Quote
> Borland highly recommends that you use the same version of the client as
the
> server.  That means 8.1.5 client for 8.1.5 server.  Borland has found
problems
> when mixing the two.

> > > Does the BDE support Oracle 8i? My application works with Oracle 8.0.5
but
> > > bombs out when with 8i. Anyone got any ideas.

> > Try still use the sql*net from 8.0 or 7.3 if possible.

You may right, but I did not either any connection via the oracle 8.1.5
client and the BDE 5.01 (of cause using the new OCI.DLL) or I get faults in
my app.
Until now I found no problems (but perhaps it is only luck).
On the other hand, the Oracle Client from Oracle 8i needs much more memory
and is slower than the oracle client from oracle 7.3
But I am still happy to get any hints, because I know that I have to switch
once.
Regards
Nicolas Bronke

Other Threads